/// <reference types="react" />
export declare const DescriptionEnumsBlock: import("styled-components").StyledComponent<"main", any, {
    className?: string | undefined;
    compact?: boolean | undefined;
    inline?: boolean | undefined;
    base?: boolean | undefined;
    ref?: ((node: HTMLDivElement) => void) | undefined;
} & {
    children?: import("react").ReactNode;
}, never>;
export declare const TypeWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ExampleDescription: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ExampleSummary: import("styled-components").StyledComponent<"label", any, {}, never>;
export declare const ExampleWrap: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ExamplesList: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const FieldDescriptionWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
